org.eclipse.emf.cdo.common.branch

## Interface CDOBranchTag

- All Superinterfaces:
    CDOBranchPoint, CDOBranchProvider, CDONameProvider, CDOTimeProvider

      public interface CDOBranchTag
      extends CDOBranchPoint, CDONameProvider

  A persistent, named `branch point`.
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `INVALID_DATE, UNSPECIFIED_DATE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Returns the name of this branch tag.

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `getBranch, getTimeStamp`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the name of this branch tag.
      Specified by:
        `getName` in interface `CDONameProvider`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html